AliExpress Product Search
curl --request POST \
--url https://api.aisa.one/apis/v1/aliexpress/search-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"loc": "<string>",
"attr": "<string>",
"page": "<string>",
"sort": "default",
"query": "<string>",
"cat_id": "<string>",
"locale": "<string>",
"region": "<string>",
"brand_id": "<string>",
"currency": "<string>",
"switches": "<string>",
"end_price": 123,
"start_price": 123
}
'import requests
url = "https://api.aisa.one/apis/v1/aliexpress/search-products"
payload = {
"loc": "<string>",
"attr": "<string>",
"page": "<string>",
"sort": "default",
"query": "<string>",
"cat_id": "<string>",
"locale": "<string>",
"region": "<string>",
"brand_id": "<string>",
"currency": "<string>",
"switches": "<string>",
"end_price": 123,
"start_price": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
loc: '<string>',
attr: '<string>',
page: '<string>',
sort: 'default',
query: '<string>',
cat_id: '<string>',
locale: '<string>',
region: '<string>',
brand_id: '<string>',
currency: '<string>',
switches: '<string>',
end_price: 123,
start_price: 123
})
};
fetch('https://api.aisa.one/apis/v1/aliexpress/search-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/aliexpress/search-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'loc' => '<string>',
'attr' => '<string>',
'page' => '<string>',
'sort' => 'default',
'query' => '<string>',
'cat_id' => '<string>',
'locale' => '<string>',
'region' => '<string>',
'brand_id' => '<string>',
'currency' => '<string>',
'switches' => '<string>',
'end_price' => 123,
'start_price' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/aliexpress/search-products"
payload := strings.NewReader("{\n \"loc\": \"<string>\",\n \"attr\": \"<string>\",\n \"page\": \"<string>\",\n \"sort\": \"default\",\n \"query\": \"<string>\",\n \"cat_id\": \"<string>\",\n \"locale\": \"<string>\",\n \"region\": \"<string>\",\n \"brand_id\": \"<string>\",\n \"currency\": \"<string>\",\n \"switches\": \"<string>\",\n \"end_price\": 123,\n \"start_price\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/aliexpress/search-products")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"loc\": \"<string>\",\n \"attr\": \"<string>\",\n \"page\": \"<string>\",\n \"sort\": \"default\",\n \"query\": \"<string>\",\n \"cat_id\": \"<string>\",\n \"locale\": \"<string>\",\n \"region\": \"<string>\",\n \"brand_id\": \"<string>\",\n \"currency\": \"<string>\",\n \"switches\": \"<string>\",\n \"end_price\": 123,\n \"start_price\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/aliexpress/search-products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"loc\": \"<string>\",\n \"attr\": \"<string>\",\n \"page\": \"<string>\",\n \"sort\": \"default\",\n \"query\": \"<string>\",\n \"cat_id\": \"<string>\",\n \"locale\": \"<string>\",\n \"region\": \"<string>\",\n \"brand_id\": \"<string>\",\n \"currency\": \"<string>\",\n \"switches\": \"<string>\",\n \"end_price\": 123,\n \"start_price\": 123\n}"
response = http.request(request)
puts response.read_body{
"code": 123,
"data": "<unknown>",
"message": "<string>",
"recordTime": "<string>",
"requestId": "<string>"
}AliExpress / 速卖通
AliExpress Product Search
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0143 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
aliexpress
/
search-products
AliExpress Product Search
curl --request POST \
--url https://api.aisa.one/apis/v1/aliexpress/search-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"loc": "<string>",
"attr": "<string>",
"page": "<string>",
"sort": "default",
"query": "<string>",
"cat_id": "<string>",
"locale": "<string>",
"region": "<string>",
"brand_id": "<string>",
"currency": "<string>",
"switches": "<string>",
"end_price": 123,
"start_price": 123
}
'import requests
url = "https://api.aisa.one/apis/v1/aliexpress/search-products"
payload = {
"loc": "<string>",
"attr": "<string>",
"page": "<string>",
"sort": "default",
"query": "<string>",
"cat_id": "<string>",
"locale": "<string>",
"region": "<string>",
"brand_id": "<string>",
"currency": "<string>",
"switches": "<string>",
"end_price": 123,
"start_price": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
loc: '<string>',
attr: '<string>',
page: '<string>',
sort: 'default',
query: '<string>',
cat_id: '<string>',
locale: '<string>',
region: '<string>',
brand_id: '<string>',
currency: '<string>',
switches: '<string>',
end_price: 123,
start_price: 123
})
};
fetch('https://api.aisa.one/apis/v1/aliexpress/search-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/aliexpress/search-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'loc' => '<string>',
'attr' => '<string>',
'page' => '<string>',
'sort' => 'default',
'query' => '<string>',
'cat_id' => '<string>',
'locale' => '<string>',
'region' => '<string>',
'brand_id' => '<string>',
'currency' => '<string>',
'switches' => '<string>',
'end_price' => 123,
'start_price' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/aliexpress/search-products"
payload := strings.NewReader("{\n \"loc\": \"<string>\",\n \"attr\": \"<string>\",\n \"page\": \"<string>\",\n \"sort\": \"default\",\n \"query\": \"<string>\",\n \"cat_id\": \"<string>\",\n \"locale\": \"<string>\",\n \"region\": \"<string>\",\n \"brand_id\": \"<string>\",\n \"currency\": \"<string>\",\n \"switches\": \"<string>\",\n \"end_price\": 123,\n \"start_price\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/aliexpress/search-products")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"loc\": \"<string>\",\n \"attr\": \"<string>\",\n \"page\": \"<string>\",\n \"sort\": \"default\",\n \"query\": \"<string>\",\n \"cat_id\": \"<string>\",\n \"locale\": \"<string>\",\n \"region\": \"<string>\",\n \"brand_id\": \"<string>\",\n \"currency\": \"<string>\",\n \"switches\": \"<string>\",\n \"end_price\": 123,\n \"start_price\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/aliexpress/search-products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"loc\": \"<string>\",\n \"attr\": \"<string>\",\n \"page\": \"<string>\",\n \"sort\": \"default\",\n \"query\": \"<string>\",\n \"cat_id\": \"<string>\",\n \"locale\": \"<string>\",\n \"region\": \"<string>\",\n \"brand_id\": \"<string>\",\n \"currency\": \"<string>\",\n \"switches\": \"<string>\",\n \"end_price\": 123,\n \"start_price\": 123\n}"
response = http.request(request)
puts response.read_body{
"code": 123,
"data": "<unknown>",
"message": "<string>",
"recordTime": "<string>",
"requestId": "<string>"
}请求规范
- 方法与路径: POST /apis/v1/aliexpress/search-products
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/aliexpress/search-products - Runtime 事实版本: 86419be6c6c6df0b614c781dd8568feec2f670aa38ece6e6a0907c288a236b1f
{
"operationId": "aliexpress.search-products",
"method": "POST",
"path": "/apis/v1/aliexpress/search-products",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": false,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"loc": {
"type": "string",
"description": "Location filter for product search results."
},
"attr": {
"type": "string",
"description": "Product attribute filter for search results."
},
"page": {
"type": "string",
"description": "One-based page number for pagination."
},
"sort": {
"enum": [
"default",
"salesDesc",
"priceAsc",
"priceDesc"
],
"type": "string",
"default": "default",
"description": "Sort order for product search results.\n\nAvailable Values:\n- `default`: Default result order\n- `salesDesc`: Sales volume, highest first\n- `priceAsc`: Price, lowest first\n- `priceDesc`: Price, highest first"
},
"query": {
"type": "string",
"description": "Product search query."
},
"cat_id": {
"type": "string",
"description": "Category ID used to filter product search results."
},
"locale": {
"type": "string",
"description": "Locale used for the AliExpress response."
},
"region": {
"type": "string",
"description": "AliExpress marketplace region."
},
"brand_id": {
"type": "string",
"description": "Brand ID used to filter product search results."
},
"currency": {
"type": "string",
"description": "Currency code used for product prices."
},
"switches": {
"type": "string",
"description": "Search switches used to select optional result features."
},
"end_price": {
"type": "number",
"description": "Maximum product price filter, inclusive."
},
"start_price": {
"type": "number",
"description": "Minimum product price filter, inclusive."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0143,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0143 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0143
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Location filter for product search results.
Product attribute filter for search results.
One-based page number for pagination.
Sort order for product search results.
Available Values:
default: Default result ordersalesDesc: Sales volume, highest firstpriceAsc: Price, lowest firstpriceDesc: Price, highest first
可用选项:
default, salesDesc, priceAsc, priceDesc Product search query.
Category ID used to filter product search results.
Locale used for the AliExpress response.
AliExpress marketplace region.
Brand ID used to filter product search results.
Currency code used for product prices.
Search switches used to select optional result features.
Maximum product price filter, inclusive.
Minimum product price filter, inclusive.